%define pname fuse
Name: avfs-%pname
Version: 1.1
Release: alt1

Summary: tool for creating virtual filesystems
License: GPL
Group: System/Kernel and hardware
Url: http://sourceforge.net/projects/avf
Provides: FUSE
Obsoletes: FUSE

Summary(ru_RU.KOI8-R):      

Source: %pname-%version.tar.gz

BuildArchitectures: i586

Requires: mount >= 2.11

%package -n kernel-source-%pname
Summary: Linux %pname module sources
Group: Development/Kernel

%description

FUSE ( Filesystem in USErspace), an excellent tool 
for creating custom filesystems with minimal effort.
In ALT Linux, FUSE is necessary for activity SieFS.

%description -l ru_RU.KOI8-R

FUSE (Filesystem in USErspace),    
    .
 ALT Linux, FUSE    SieFS.

%description -n kernel-source-%pname

This package contains %pname sources for Linux kernel module

%description -n kernel-source-%pname -l ru_RU.KOI8-R

    fuse    

%prep
%setup -q -n %pname-%version
t="$RPM_SOURCE_DIR/kernel-source-%pname-%version"
%__rm -rf "$t"
%__cp -a ./ "$t"
%__mv "$t" .

%build
%configure --disable-kernel-module
%make_build

%install
install -D -m755 util/fusermount $RPM_BUILD_ROOT%_bindir/fusermount
install -D -m644 include/fuse.h $RPM_BUILD_ROOT%_includedir/fuse.h
install -D -m644 lib/libfuse.a $RPM_BUILD_ROOT%_libdir/libfuse.a

# Make kernel-source tarball
mkdir -p %buildroot%_usrsrc/kernel/sources
du -hsc kernel-source-%pname-%version
%__tar cjf \
        $RPM_BUILD_ROOT%_usrsrc/kernel/sources/kernel-source-%pname-%version.tar.bz2 \
	kernel-source-%pname-%version

%post
%postun

%files
%_bindir/*
%_includedir/*
%_libdir/*
%doc AUTHORS ChangeLog NEWS README TODO COPYING INSTALL

%files -n kernel-source-%pname
%_usrsrc/kernel/sources/kernel-source-%pname-%version.tar.bz2
    

%changelog
* Tue May 18 2004 Anton Farygin <rider@altlinux.ru> 1.1-alt1
- new version, renamed to avfs-fuse (reselve packagename conflict with Spectrum Emulator fuse)

* Fri Nov 07 2003 Alexander Nekrasov <canis@altlinux.ru> 1.0-alt2
- now FUSE and kernel-source-FUSE build from one spec file

* Thu Nov 06 2003 Alexander Nekrasov <canis@altlinux.ru> 1.0-alt1
- first build
